[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetSmoothScroll

Gets the smooth scroll setting for the horizontal scroll bar.

## Declaration

Source position: dbgrids.pas line 477

`protected function TCustomDBGrid.GetSmoothScroll(`
`Which: Integer`
`):Boolean; override;`

## Arguments

`Which` |  | Integer value which identifies the scroll bar checked for the control setting.

## Function result

True if the option has been enabled for the horizontal scroll bar.

## Description

GetSmoothScroll is an overridden method in TCustomDBGrid. It determines whether the smooth scroll setting (goSmoothScroll) has been included in the Options for the grid control.

The return value is always False when the Which argument refers to the vertical scroll bar (SB_Vert). If Which contains SB_Horz, the inherited method is called to check the Options for the control. The return value is True if goSmoothScroll has been included in the Options property.

## See also

TCustomDbGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TDbGridOptions |  | Stores values from the TDbGridOption enumeration.
TDbGridOption |  | Enumerated type containing options available for use in a database grid control.